Void
POST
/v2/Payment/VoidVoid cancels a previously processed transaction before it is settled. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Amount*
numberPaymentType*
enumReferenceId*
stringPrintReceipt
enumGetReceipt
enumMerchantNumber
numberCaptureSignature
booleanGetExtendedData
booleanIsReadyForIS
booleanCallbackInfo
Url
stringReconId
stringIsvId
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Payment/Void
1curl --location 'https://test.spinpos.net/v2/Payment/Void' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Amount": 1,
6 "PaymentType": "Credit",
7 "ReferenceId": "d6c871b6a580",
8 "PrintReceipt": "No",
9 "GetReceipt": "No",
10 "MerchantNumber": "",
11 "CaptureSignature": false,
12 "GetExtendedData": true,
13 "IsReadyForIS": false,
14 "CallbackInfo": {
15 "Url": ""
16 },
17 "ReconId": "",
18 "IsvId": "",
19 "Tpn": "",
20 "RegisterId": "",
21 "Authkey": "",
22 "SPInProxyTimeout": ""
23}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
},
"Amounts": {
"TotalAmount": 1.05,
"Amount": 1,
"TipAmount": null,
"FeeAmount": 0.03,
"TaxAmount": 0.02
},
"CardData": {
"CardType": "Mastercard",
"EntryType": "ChipContactless",
"Last4": "4111",
"First4": "5413",
"BIN": "541333",
"ExpirationDate": "1225",
"Name": "",
"CardBrand": ""
}
}